<!DOCTYPE html>
<html lang="de">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="icon" type="image/x-icon" href="/favicon.ico">
    <title>Mehrere PNG zu ICO Konverter</title>
    <style>
        body {
            width: calc(100vw - 40px);
            background-color: #000;
            color: #aaa;
            font-family: system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
            padding: 20px;

            display: flex;
            flex-direction: column;
            flex-wrap: wrap;
            justify-content: center;
            align-items: center;
            gap: 0px;
        }

        #link {
            text-decoration: none;
            font-size: 1.2em;
            margin: 50px 10px;
            padding: 5px 10px;
            color: #eee;
            border: 1px solid #eee;
            background-color: transparent;
            transition: 1s;
        }

        #link:hover {
            color: #eee;
            border: 1px solid #eee;
            background-color: #333;
            border-radius: 20px;
        }

        #iconContainer {
            max-width: 600px;
            display: flex;
            flex-direction: row;
            flex-wrap: wrap;
            justify-content: center;
            align-items: center;
            gap: 10px;
        }

        #icons>a {
            width: 80px;
            display: flex;
            flex-direction: column;
            flex-wrap: wrap;
            justify-content: center;
            align-items: center;
            gap: 0px;
            padding: 5px;
            border: 1px solid #555;
            color: #555;
            /* background-color: #eee; */
            text-decoration: none;
            transition: 1s;
            font-size: 0.7em;
        }

        #icons>a:hover {
            border: 1px solid #eee;
            color: #eee;
            background-color: #555;
        }

        img {
            width: 100%;
            height: auto;
        }

        form {
            max-width: 600px;
            display: flex;
            flex-direction: row;
            flex-wrap: wrap;
            justify-content: start;
            align-items: center;
        }

        label,
        #pngFiles,
        button {
            width: 100%;
            margin-bottom: 10px;
        }

        .size {
            font-size: 1.2em;
            margin: 0;
        }

        .input {
            width: 100px;
            display: flex;
            flex-direction: row;
            flex-wrap: nowrap;
            justify-content: start;
            align-items: center;
            gap: 3px;
        }

        .row {
            display: flex;
            flex-direction: row;
            flex-wrap: nowrap;
            justify-content: center;
            align-items: center;
            gap: 10px;
            margin-top: 100px;
        }

        .row>a {
            text-decoration: none;
            color: #aaa;
            font-size: 1em;
        }

img {
    width: 20vw;
    height: auto;
    margin-top: 50px;
}
    </style>
</head>

<body>
<a href="https://kleoto.de/webapps/index.php#app5" style="  width: fit-content;
                                                                border: 1px solid #3c0000;
                                                                background-color: #ffbaba;
                                                                color: #3c0000;
                                                                padding: 5px 10px;
                                                                border-radius: 5px;
                                                                margin: 10px;
                                                                ont-size: 1em;transition: all 0.3s ease;
                                                                text-decoration: none;
                                                                display: inline-block;
                                                                text-align: center;
                                                                font-weight: bold;
                                                                font-family: sans-serif;
            ">WbApps kleoto.de</a>

    <h1>PNG zu ICO Konverter</h1>
    <form action="converter.php" method="post" enctype="multipart/form-data">
        <label for="pngFiles">Wähle PNG-Dateien:</label>
        <input type="file" name="pngFiles[]" id="pngFiles" accept="image/png" multiple required>
        <br>

        <label>Wähle die ICO-Größen:</label><br>
        <div class="input"><input type="checkbox" name="sizes[]" value="16" class="size">
            <p class="size">16x16</p>
        </div>
        <div class="input"><input type="checkbox" name="sizes[]" value="32" class="size">
            <p class="size"> 32x32</p>
        </div>
        <div class="input"><input type="checkbox" name="sizes[]" value="48" class="size">
            <p class="size"> 48x48</p>
        </div>
        <div class="input"><input type="checkbox" name="sizes[]" value="64" class="size">
            <p class="size"> 64x64</p>
        </div>
        <div class="input"><input type="checkbox" name="sizes[]" value="128" class="size">
            <p class="size"> 128x128</p>
        </div>
        <div class="input"><input type="checkbox" name="sizes[]" value="256" class="size">
            <p class="size"> 256x256</p>
        </div>
        <br>

        <button type="submit">Konvertieren</button>
    </form>

    <?php
    if (isset($_GET['archive'])) {
        echo "<p>Konvertierung erfolgreich!</p>";

        // Zeigt Miniaturansichten der konvertierten Dateien
        $thumbnails = json_decode($_GET['thumbnails'], true);
        echo "<h2>Miniaturansichten:</h2><p>Klick auf ein Icon um es Runter zu laden</p><div id='iconContainer'>";
        foreach ($thumbnails as $thumb) {
            $iconName = basename($thumb); // Nur den Dateinamen extrahieren
            echo "<div id='icons'><a href='$thumb' download='$iconName'>
                      <img src='$thumb' width='64' height='64'><br>$iconName
                  </a></div>";
        }
        echo "</div>";


        echo "<a href='{$_GET['archive']}' id='link'>Neue Convetierung</a>";
    }
    ?>

<ul>
                <li>16x16 (wird häufig in der Taskleiste verwendet)</li>
                <li>32x32 (Standardgröße für Desktop-Verknüpfungen)</li>
                <li>48x48 (größere Icons für Programme)</li>
                <li>64x64 (verwendet für größere Anwendungs-Icons)</li>
                <li>128x128 (wird häufig für Icons auf modernen Systemen verwendet)</li>
                <li>256x256 (die größte Größe, oft für hochauflösende Displays)</li>
            </ul>

            <img src="png-ico-logo.png" alt="logo">

    <div class="row">
        <a href="help.html">Hilfe</a>
        <a href="Impressum.html">Impressum</a>
        <a href="https://kleoto.de">kleoto.de</a>
    </div>
</body>

</html>